#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:           krdc
Summary:        KDE Remote Desktop Client
Group:          Networking/Remote access
Version: 4.11.4
Release:        %mkrel %{rel}
Epoch:          3
URL: http://www.kde.org/applications/internet/krdc/
License:        GPLv2 LGPLv2 GFDL
Source0:        ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

Suggests: krdc-handbook

BuildRequires:  kdelibs4-devel >= 2:%{version}
BuildRequires:  libvncserver-devel >= 0.9.8
BuildRequires:   pkgconfig(TelepathyQt4)
BuildRequires:   pkgconfig(freerdp)

Conflicts: kde4-filesharing < 3:4.10.5

%description
KDE Remote Desktop Client is a client application that allows you to view or
even control the desktop session on another machine that is running a compatible
server. VNC and RDP are supported.

%files
%_kde_bindir/krdc
%_kde_bindir/krdc_rfb_approver
%_kde_appsdir/krdc
%_kde_appsdir/krdc_rfb_approver
%_kde_applicationsdir/krdc.desktop
%_kde_datadir/config.kcfg/krdc.kcfg
%_kde_libdir/kde4/kcm_krdc_rdpplugin.so
%_kde_libdir/kde4/kcm_krdc_vncplugin.so
%_kde_libdir/kde4/krdc_rdpplugin.so
%_kde_libdir/kde4/krdc_testplugin.so
%_kde_libdir/kde4/krdc_vncplugin.so
%_kde_services/rdp.protocol
%_kde_services/vnc.protocol
%_kde_services/krdc_rdp.desktop
%_kde_services/krdc_rdp_config.desktop
%_kde_services/krdc_test.desktop
%_kde_services/krdc_vnc.desktop
%_kde_services/krdc_vnc_config.desktop
%_kde_services/ServiceMenus/smb2rdc.desktop
%_kde_servicetypes/krdc_plugin.desktop
%_datadir/dbus-1/services/org.freedesktop.Telepathy.Client.krdc_rfb_approver.service
%_datadir/dbus-1/services/org.freedesktop.Telepathy.Client.krdc_rfb_handler.service
%_datadir/telepathy/clients/krdc_rfb_approver.client
%_datadir/telepathy/clients/krdc_rfb_handler.client
#------------------------------------------------------------------------------

%define major_krdccore 4
%define libkrdccore %mklibname krdccore %{major_krdccore}

%package -n %libkrdccore
Summary:        Runtime library for KDE Remote Desktop Connection
Group:          System/Libraries
Obsoletes:      %{mklibname krdccore 1} < 3:4.6.90

%description -n %libkrdccore
Runtime library for krdc (KDE Remote Desktop Connection).

%files -n %libkrdccore
%_kde_libdir/libkrdccore.so.%{major_krdccore}*

#------------------------------------------------------------------------------

%package -n krdc-handbook
Summary: KRDC Handbook
Conflicts: krdc < 3:4.7.1
Requires:  krdc >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description -n krdc-handbook
This package provides KRDC Handbook

%files -n krdc-handbook
%doc %_kde_docdir/HTML/en/krdc


#------------------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %libkrdccore = %{epoch}:%{version}

Conflicts: kdenetwork4-devel < 3:4.10.80


%description  devel
This package contains header files needed if you wish to build applications
based on %{srcname}.

%files devel
%_kde_libdir/*.so
%_kde_includedir/krdc

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
%makeinstall_std -C build

%changelog
* Wed Dec 04 2013 lmenut <lmenut> 3:4.11.4-1.mga4
+ Revision: 555027
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 3:4.11.3-1.mga4
+ Revision: 551299
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 3:4.11.2-2.mga4
+ Revision: 540421
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 3:4.11.2-1.mga4
+ Revision: 490842
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 3:4.11.1-1.mga4
+ Revision: 476919
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 3:4.11.0-1.mga4
+ Revision: 465316
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 3:4.10.97-1.mga4
+ Revision: 458945
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 3:4.10.95-1.mga4
+ Revision: 455331
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Sun Jul 07 2013 lmenut <lmenut> 3:4.10.90-1.mga4
+ Revision: 450974
- Add missing conflicts

  + mikala <mikala>
    - Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
    - imported package krdc

